///////////////////////////////////////////////////////////////-*-C-*-
//
// Copyright (c) 2007 Xilinx, Inc.  All rights reserved.
//
// Xilinx, Inc.  XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION
// "AS IS" AS  A COURTESY TO YOU.  BY PROVIDING  THIS DESIGN, CODE, OR
// INFORMATION  AS  ONE   POSSIBLE  IMPLEMENTATION  OF  THIS  FEATURE,
// APPLICATION OR  STANDARD, XILINX  IS MAKING NO  REPRESENTATION THAT
// THIS IMPLEMENTATION  IS FREE FROM  ANY CLAIMS OF  INFRINGEMENT, AND
// YOU ARE  RESPONSIBLE FOR OBTAINING  ANY RIGHTS YOU MAY  REQUIRE FOR
// YOUR  IMPLEMENTATION.   XILINX  EXPRESSLY  DISCLAIMS  ANY  WARRANTY
// WHATSOEVER  WITH RESPECT  TO  THE ADEQUACY  OF THE  IMPLEMENTATION,
// INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR REPRESENTATIONS THAT
// THIS IMPLEMENTATION  IS FREE  FROM CLAIMS OF  INFRINGEMENT, IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// 
//////////////////////////////////////////////////////////////////////

#include "warplab_mimo_4x4_plbw.h"
#include "xparameters.h"
#include "xcope.h"

inline xc_status_t xc_warplab_mimo_4x4_plbw_create(xc_iface_t **iface, void *config_table)
{
    // set up iface
    *iface = (xc_iface_t *) config_table;

#ifdef XC_DEBUG
    WARPLAB_MIMO_4X4_PLBW_Config *_config_table = config_table;

    if (_config_table->xc_create == NULL) {
        print("config_table.xc_create == NULL\r\n");
        exit(1);
    }
#endif

    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_warplab_mimo_4x4_plbw_release(xc_iface_t **iface) 
{
    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_warplab_mimo_4x4_plbw_open(xc_iface_t *iface)
{
    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_warplab_mimo_4x4_plbw_close(xc_iface_t *iface)
{
    // does nothing
    return XC_SUCCESS;
}

inline xc_status_t xc_warplab_mimo_4x4_plbw_read(xc_iface_t *iface, xc_r_addr_t addr, uint32_t *value)
{
    *value = *((uint32_t *) addr);
    return XC_SUCCESS;
}

inline xc_status_t xc_warplab_mimo_4x4_plbw_write(xc_iface_t *iface, xc_w_addr_t addr, const uint32_t value)
{
    *((uint32_t *) addr) = value;
    return XC_SUCCESS;
}

xc_status_t xc_warplab_mimo_4x4_plbw_getshmem(xc_iface_t *iface, const char *name, void **shmem)
{
    WARPLAB_MIMO_4X4_PLBW_Config *_config_table = (WARPLAB_MIMO_4X4_PLBW_Config *) iface;

    if (strcmp("AGCDoneAddr", name) == 0) {
        *shmem = (void *) & _config_table->AGCDoneAddr;
    }
    else if (strcmp("CaptureDone", name) == 0) {
        *shmem = (void *) & _config_table->CaptureDone;
    }
    else if (strcmp("Radio1AGCDoneRSSI", name) == 0) {
        *shmem = (void *) & _config_table->Radio1AGCDoneRSSI;
    }
    else if (strcmp("Radio2AGCDoneRSSI", name) == 0) {
        *shmem = (void *) & _config_table->Radio2AGCDoneRSSI;
    }
    else if (strcmp("Radio3AGCDoneRSSI", name) == 0) {
        *shmem = (void *) & _config_table->Radio3AGCDoneRSSI;
    }
    else if (strcmp("Radio4AGCDoneRSSI", name) == 0) {
        *shmem = (void *) & _config_table->Radio4AGCDoneRSSI;
    }
    else if (strcmp("DCO_EN_SEL", name) == 0) {
        *shmem = (void *) & _config_table->DCO_EN_SEL;
    }
    else if (strcmp("DebugRx1Buffers", name) == 0) {
        *shmem = (void *) & _config_table->DebugRx1Buffers;
    }
    else if (strcmp("DebugRx2Buffers", name) == 0) {
        *shmem = (void *) & _config_table->DebugRx2Buffers;
    }
    else if (strcmp("DebugRx3Buffers", name) == 0) {
        *shmem = (void *) & _config_table->DebugRx3Buffers;
    }
    else if (strcmp("DebugRx4Buffers", name) == 0) {
        *shmem = (void *) & _config_table->DebugRx4Buffers;
    }
    else if (strcmp("MGC_AGC_SEL", name) == 0) {
        *shmem = (void *) & _config_table->MGC_AGC_SEL;
    }
    else if (strcmp("RADIO1RXBUFF_RXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO1RXBUFF_RXEN;
    }
    else if (strcmp("RADIO1TXBUFF_TXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO1TXBUFF_TXEN;
    }
    else if (strcmp("RADIO2RXBUFF_RXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO2RXBUFF_RXEN;
    }
    else if (strcmp("RADIO2TXBUFF_TXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO2TXBUFF_TXEN;
    }
    else if (strcmp("RADIO3RXBUFF_RXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO3RXBUFF_RXEN;
    }
    else if (strcmp("RADIO3TXBUFF_TXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO3TXBUFF_TXEN;
    }
    else if (strcmp("RADIO4RXBUFF_RXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO4RXBUFF_RXEN;
    }
    else if (strcmp("RADIO4TXBUFF_TXEN", name) == 0) {
        *shmem = (void *) & _config_table->RADIO4TXBUFF_TXEN;
    }
    else if (strcmp("StartCapture", name) == 0) {
        *shmem = (void *) & _config_table->StartCapture;
    }
    else if (strcmp("StartTx", name) == 0) {
        *shmem = (void *) & _config_table->StartTx;
    }
    else if (strcmp("StopTx", name) == 0) {
        *shmem = (void *) & _config_table->StopTx;
    }
    else if (strcmp("TransMode", name) == 0) {
        *shmem = (void *) & _config_table->TransMode;
    }
    else if (strcmp("TxDelay", name) == 0) {
        *shmem = (void *) & _config_table->TxDelay;
    }
    else if (strcmp("TxLength", name) == 0) {
        *shmem = (void *) & _config_table->TxLength;
    }
    else if (strcmp("StartTxRx", name) == 0) {
        *shmem = (void *) & _config_table->StartTxRx;
    }
    else if (strcmp("RxBuff_Radio1", name) == 0) {
        *shmem = (void *) & _config_table->RxBuff_Radio1;
    }
    else if (strcmp("RxBuff_Radio2", name) == 0) {
        *shmem = (void *) & _config_table->RxBuff_Radio2;
    }
    else if (strcmp("RxBuff_Radio3", name) == 0) {
        *shmem = (void *) & _config_table->RxBuff_Radio3;
    }
    else if (strcmp("RxBuff_Radio4", name) == 0) {
        *shmem = (void *) & _config_table->RxBuff_Radio4;
    }
    else if (strcmp("TxBuff_Radio1", name) == 0) {
        *shmem = (void *) & _config_table->TxBuff_Radio1;
    }
    else if (strcmp("TxBuff_Radio2", name) == 0) {
        *shmem = (void *) & _config_table->TxBuff_Radio2;
    }
    else if (strcmp("TxBuff_Radio3", name) == 0) {
        *shmem = (void *) & _config_table->TxBuff_Radio3;
    }
    else if (strcmp("TxBuff_Radio4", name) == 0) {
        *shmem = (void *) & _config_table->TxBuff_Radio4;
    } else { shmem = NULL; return XC_FAILURE; } 

    return XC_SUCCESS;
}
